﻿<Window x:Name="key"  x:Class="RayCaster.N2942.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:FinalProjectGUI"
        mc:Ignorable="d"
        Title="N2942 RayCaster ALPHA 1.0" Height="780" Width="1170" ResizeMode="NoResize"
        WindowStartupLocation="Manual"
        Left="300" Top ="50">
    <Grid>
        <StackPanel Orientation="Horizontal">
            <StackPanel Width="150" >
                <Button x:Name="btnRender" Background="LightBlue" Width="150" Height="30" Content="RENDER" FontSize="20" HorizontalAlignment="Left" VerticalAlignment="Top" Click="btnRender_Click"/>
                <Button x:Name="btnRays" Width="150" Height="30" Content="RAYS" FontSize="20" IsEnabled="False" Click="btnRays_Click"></Button>
                <Button x:Name="btnPolygon" Width="150" Height="30" Content="POLYGON" FontSize="20" IsEnabled="False" Click="btnPolygon_Click"></Button>
                <Button x:Name="btnShadows" Width="150" Height="30" Content="SHADOWS" FontSize="20" IsEnabled="False" Margin="0,0,0,30" Click="btnShadows_Click"></Button>

                <Button x:Name="btnCreate" Background="LightBlue" Width="150" Height="30" Content="CREATE" FontSize="20" HorizontalAlignment="Left" VerticalAlignment="Top" Click="btnCreate_Click"></Button>
                <Button x:Name="btnSave" Content="SAVE" Width="150" Height="30" FontSize="20" IsEnabled="False" Click="btnSave_Click"></Button>
                <Button x:Name="btnLoad" Width="150" Height="30" Content="LOAD" FontSize="20" HorizontalAlignment="Left" VerticalAlignment="Top" Click="btnLoad_Click" IsEnabled="False"></Button>
                <Button x:Name="btnClearMap" Width="150" Height="30" Content="CLEAR MAP" FontSize="20" IsEnabled="False" Click="btnClearMap_Click" Margin="0 , 0, 0, 30"></Button>

                <Label Width="150" Height="30" Content="SPEED" FontSize="20" HorizontalContentAlignment="Center" Padding="1" ></Label>
                <DockPanel>
                    <Button x:Name="btnSpeedPlus" Content="PLUS" VerticalContentAlignment="Center" FontSize="20" Width="75" Height="30" HorizontalAlignment="Left" DockPanel.Dock="Left" Click="btnSpeedPlus_Click" ></Button>
                    <Button x:Name="btnSpeedMinus" Content="MINUS" FontSize="20" Width="75" Height="30" HorizontalAlignment="Right" DockPanel.Dock="Right" Click="btnSpeedMinus_Click" ></Button>
                </DockPanel>
                <Label x:Name="lblSpeed"  Width="150" Height="30" FontSize="20" HorizontalContentAlignment="Center" Padding="1" Content="{Binding Speed, Mode=OneWay}" Margin="0,0,0,30" ></Label>

                <Button x:Name="btnHelp" Width="150" Height="30" Content="INSTRUCTIONS" FontSize="20" Margin="0,0,0,30" Click="btnHelp_Click"></Button>
                <Button x:Name="btnExit" Width="150" Height="30" Content="EXIT" FontSize="20" Click="btnExit_Click"></Button>
            </StackPanel>
            <StackPanel Width="1024" Height="748">
                <Image VerticalAlignment="Top" x:Name="ViewPort" Loaded="ViewPort_Loaded" MouseLeftButtonUp="ViewPort_MouseLeftButtonUp" MouseLeftButtonDown="ViewPort_MouseLeftButtonDown" HorizontalAlignment="Left" Width="1024" Height="728"/>
            </StackPanel>
        </StackPanel>
        <StackPanel x:Name="stkPanelLoad" Width="200" HorizontalAlignment="Left" Margin="150,0,0,540.4" Visibility="Hidden">
            <ListBox x:Name="lstBoxMaps" Width="200" Height="171" VerticalAlignment="Top"/>
            <StackPanel Orientation="Horizontal">
                <Button x:Name="btnListBoxLoad" Content="LOAD" Width="67" FontSize="16" Click="btnListBoxLoad_Click"></Button>
                <Button x:Name="btnListBoxRemove" Content="REMOVE" Width="67" FontSize="16" Click="btnListBoxRemove_Click"></Button>
                <Button x:Name="btnListCancel" Content="CANCEL" Width="67" FontSize="16" Click="btnListCancel_Click"></Button>
            </StackPanel>
        </StackPanel>
    </Grid>
</Window>
